#
# Ehab Al-Shaer, 
# You may have to edit INCS and LIBS to point to and include the 
# information for your system.
#
CXX=gcc
RM= \rm -rf
GZIP=gzip
TAR=tar cvf

INCS= -I. 
#OPTFLAGS= -DHAVE_CONFIG_H -D_REENTRANT -O4
OPTFLAGS=  -g -O4
LIBS= -lnsl #-lsocket

OBJECTS= errexit.o connectTCP.o connectsock.o passiveTCP.o passivesock.o
#OBJECTS2= errexit.o passiceTCP.o passivesock.o


DISTRIB = errexit.c TCPecho.c connectTCP.c connectsock.c passiveTCP.c passivesock.c

CFLAGS = -W -pedantic -ansi $(INCS) $(OPTFLAGS)

.SUFFIXES: .c 

all: TCPechod TCPecho echoServer-mt

.c.o:
	$(CXX) $(CFLAGS) -c $<

echoServer-mt: echoServer-mt.o $(OBJECTS)
	$(CXX) $(CFLAGS) echoServer-mt.o $(OBJECTS) -lpthread \
	-o echoServer-mt

TCPechod: TCPechod.o $(OBJECTS)
	$(CXX) $(CFLAGS) TCPechod.o $(OBJECTS) \
	-o TCPechod

TCPecho: TCPecho.o $(OBJECTS)
	$(CXX) $(CFLAGS) TCPecho.o $(OBJECTS) \
	$(LIBS) -o TCPecho

clean:
	rm *.o core TCPecho TCPechod























